%global commit abcd277ea45e9098bed752cf9c6875b533c0892f

Name:		nanosvg
# This thing has no version so we'll use the last commit date
Version:	20221221
Release:	1%{?dist}
License:	Zlib
# Technically, this is a fork, but the upstream is unmaintained and this one has some fixes
URL:		https://github.com/fltk/nanosvg
Source0:	https://github.com/fltk/nanosvg/archive/%{commit}.tar.gz
Patch0:		nanosvg-sover.patch
Patch1:		nanosvg-lib64.patch
Summary:	Simple stupid SVG parser
BuildRequires:	cmake, gcc

%description
NanoSVG is a simple stupid single-header-file SVG parse. The output of the
parser is a list of cubic bezier shapes. The library suits well for
anything from rendering scalable icons in your editor application to
prototyping a game.

%package devel
Requires:	%{name}%{?_isa} = %{version}-%{release}
Summary:	Development files for nanosvg

%description devel
Development files for nanosvg.

%prep
%setup -q -n %{name}-%{commit}
%patch -P0 -p1 -b .sover
%patch -P1 -p1 -b .lib64

%build
%cmake
%cmake_build

%install
%cmake_install

# There are no tests. :P
# %%check
# %%ctest

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/libnanosvg.so.*
%{_libdir}/libnanosvgrast.so.*

%files devel
%{_includedir}/nanosvg/
%{_libdir}/cmake/NanoSVG
%{_libdir}/libnanosvg.so
%{_libdir}/libnanosvgrast.so

%changelog
* Thu Aug 10 2023 Tom Callaway <spot@fedoraproject.org> - 20221221-1
- initial package
